hierarchy.h File Reference
`#include <log4cplus/config.hxx>`
`#include <log4cplus/logger.h>`
`#include <log4cplus/thread/syncprims.h>`
`#include <map>`
`#include <memory>`
`#include <vector>`
Include dependency graph for hierarchy.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | log4cplus::Hierarchy
| This class is specialized in retrieving loggers by name and also maintaining the logger hierarchy. More...

## Namespaces

namespace | log4cplus

## Functions

LOG4CPLUS_EXPORT Hierarchy & | log4cplus::getDefaultHierarchy ()